package sdk_996.bean.em;

public enum ErrorCode {

    SUCCESS(200, "成功"),
    SQL_ERROR(301, "SQL异常,请检查 SQL 语句"),
    SQL_TIMEOUT(302, "SQL查询超时异常"),
    SQL_EXECUTE_ERROR(303, "SQL执行异常"),
    NULL_POINTER_ERROR(304, "空指针异常"),
    CODE_ERROR(305, "代码运行异常，请查看报错信息"),
    INTERNAL_ERROR(306, "内部异常"),

    PARAM_NULL(310, "参数为空"),
    PARAM_ERROR(311, "参数有误,检查请求参数后重试."),
    DATA_EMPTY(312, "此时间段内无数据"),
    RUNTIME_EXCEPTION(500, "服务运行异常");

    private final Integer code;
    private final String message;

    ErrorCode(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }


}
